i am trying to upgrade my mod_perl to mod_perl2-2.0.2_1,3 and am getting the error below. I thought it might be related to ccache so i disabled it via NOCCACHE=yes but it still blew up at thr same spot.

has anyone else seen this with this update or in the past that can offer a suggestion?


Eric

Running Mkbootstrap for ModPerl::Global ()
chmod 644 Global.bs
rm -f ../../../blib/arch/auto/ModPerl/Global/Global.so
cc -shared -L/usr/local/lib Global.o -Wl,-E -L/usr/local/lib -o ../../../blib/arch/auto/ModPerl/Global/Global.so chmod 755 ../../../blib/arch/auto/ModPerl/Global/Global.so
cp Global.bs ../../../blib/arch/auto/ModPerl/Global/Global.bs
chmod 644 ../../../blib/arch/auto/ModPerl/Global/Global.bs
cp Util.pm ../../../blib/lib/ModPerl/Util.pm
/usr/local/bin/perl /usr/local/lib/perl5/5.8.8/ExtUtils/xsubpp -typemap /usr/local/lib/perl5/5.8.8/ExtUtils/typemap -typemap /usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs/typemap Util.xs > Util.xsc && mv Util.xsc Util.c cc -c -I/usr/ports/www/mod_perl2/work/mod_perl-2.0.3/src/modules/perl -I/usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs -I/usr/local/include/apache2 -I/usr/local/include/apache2 -I/usr/local/include -I/usr/local/include/apache2 -DAPPLLIB_EXP="/usr/local/lib/perl5/5.8.8/BSDPAN" -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -Wdeclaration-after-statement -I/usr/local/include -DMOD_PERL -DMP_COMPAT_1X -D_REENTRANT -D_THREAD_SAFE -DAP_HAVE_DESIGNATED_INITIALIZER -O2 -fno-strict-aliasing -pipe -DVERSION=\"2.000003\" -DXS_VERSION=\"2.000003\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.8.8/mach/CORE" -DMP_HAVE_APR_LIBS Util.c
Running Mkbootstrap for ModPerl::Util ()
chmod 644 Util.bs
rm -f ../../../blib/arch/auto/ModPerl/Util/Util.so
cc -shared -L/usr/local/lib Util.o -Wl,-E -L/usr/local/lib -o ../../../blib/arch/auto/ModPerl/Util/Util.so chmod 755 ../../../blib/arch/auto/ModPerl/Util/Util.so
cp Util.bs ../../../blib/arch/auto/ModPerl/Util/Util.bs
chmod 644 ../../../blib/arch/auto/ModPerl/Util/Util.bs
cp APR.pm ../../../blib/lib/APR.pm
/usr/local/bin/perl /usr/local/lib/perl5/5.8.8/ExtUtils/xsubpp -typemap /usr/local/lib/perl5/5.8.8/ExtUtils/typemap -typemap /usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs/typemap APR.xs > APR.xsc && mv APR.xsc APR.c cc -c -I/usr/ports/www/mod_perl2/work/mod_perl-2.0.3/src/modules/perl -I/usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs -I/usr/local/include/apache2 -I/usr/local/include/apache2 -I/usr/local/include -I/usr/local/include/apache2 -O2 -fno-strict-aliasing -pipe -march -O2 -fno-strict-aliasing -pipe -DVERSION=\"0.009000\" -DXS_VERSION=\"0.009000\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.8.8/mach/CORE" -DMP_HAVE_APR_LIBS APR.c
cc1: error: invalid option `arch'
*** Error code 1

Stop in /usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs/APR/APR.
*** Error code 1

Stop in /usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs/APR.
*** Error code 1

Stop in /usr/ports/www/mod_perl2/work/mod_perl-2.0.3/xs.
*** Error code 1

Stop in /usr/ports/www/mod_perl2/work/mod_perl-2.0.3.
*** Error code 1

Stop in /usr/ports/www/mod_perl2.

===>>> make failed for www/mod_perl2
===>>> Aborting update

===>>> Update for mod_perl2-2.0.2_1,3 failed
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to